Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Payouts

2 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/payouts

List all Payouts

Returns a list of Payouts. The Payouts are sorted with the most recently created appearing first.

Query parameters

  • created_at_gtestring date-timeoptional

    Minimum created_at value to filter by (inclusive). Cannot be paired with paid_at_gte or paid_at_lte.

  • created_at_ltestring date-timeoptional

    Maximum created_at value to filter by (inclusive). Cannot be paired with paid_at_gte or paid_at_lte.

  • paid_at_gtestring date-timeoptional

    Minimum paid_at value to filter by (inclusive). Cannot be paired with created_at_gte or created_at_lte.

  • paid_at_ltestring date-timeoptional

    Maximum paid_at value to filter by (inclusive). Cannot be paired with created_at_gte or created_at_lte.

  • statusstring (canceled | failed | in_transit | paid | pending)optional

    Only return payouts that have the given status.

  • includestring (transaction_count)optional

    An array of optional include parameters, specifying extra properties to return. Currently for this endpoint only accepts 'transaction_count'. In the query parameters, this is specified as include=value1,value2,value3,etc.

  • include_connected_accountsbooleanoptional

    Whether or not to include the results from any connected accounts.

  • qstringoptional

    Supports searching by payouts.id, payouts.amount

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of Payoutrequired

GET/v1/payouts/{id}

Get a Payout

Retrieves the details of an existing Payout.

Path parameters

  • idstringrequired

Query parameters

  • includearray of string (transaction_count)optional

    An array of optional include parameters, specifying extra properties to return. Currently for this endpoint only accepts 'transaction_count'. In the query parameters, this is specified as include=value1,value2,value3,etc.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200Payout

  • account_idstringrequired

    The ID of the Account associated with this dispute.

  • amountnumberrequired

    Amount to be transferred to your bank account, in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).

  • balance_transactionBalanceTransactionrequired

    The balance transaction that describes the impact of this payout on your account balance. Note: Multiple balance transactions may be associated with this resource and you can fetch them all with /balance-transactions?source_id={id}.

  • batch_idstringoptional

    The id of the Batch (bch_*) whose manual close eventually produced this payout. Populated after the processor's settlement report is consumed; null on payouts that don't correspond to a manual-close batch and on legacy payouts that predate this field.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • descriptionstringoptional

    An arbitrary string attached to the object. Often useful for displaying to users.

  • failure_codestring (account_closed | account_frozen | bank_account_restricted | bank_ownership_changed | could_not_process | debit_not_authorized | declined | invalid_account_number | …)optional

    Error code explaining the reason for a payout failure, if available.

  • idstringrequired

    Unique identifier for the object.

  • paid_atstring date-timeoptional

    The date the payout was paid.

  • statusstring (canceled | failed | in_transit | paid | pending)required

    Current status of the payout: paid, pending, in_transit, canceled or failed. A payout is pending until it is submitted to the bank, when it becomes in_transit. The status then changes to paid if the transaction goes through, or to failed or canceled (within 5 business days). Some failed payouts may initially show as paid but then change to failed.

  • transaction_countnumberoptional

    An optional property that is included when specified in a query parameter on request. It represents the number of balance_transaction objects associated with the payout (aside from the payout balance transaction itself).

  • updated_atstring date-timerequired

    Time at which the object was updated.